#!/bin/sh
# fetch-dependencies.sh - Script to download all dependencies for Geuka
#
# All dependencies are downloaded into a directory of their own
# Complete list of Apache mirrors at http://www.apache.org/mirrors/
APACHE_MIRROR="apache.oregonstate.edu"

# Everything is stored in the depends directory
mkdir -p depends
cd depends

# Xerces-C
wget "http://${APACHE_MIRROR}/xerces/c/sources/xerces-c-src_2_8_0.tar.gz"

# SDL
wget http://www.libsdl.org/release/SDL-1.2.13.tar.gz

# SDL_image
wget http://www.libsdl.org/projects/SDL_image/release/SDL_image-1.2.6.tar.gz

# SDL_mixer
wget http://www.libsdl.org/projects/SDL_mixer/release/SDL_mixer-1.2.8.tar.gz 

# SDL_ttf
wget http://www.libsdl.org/projects/SDL_ttf/release/SDL_ttf-2.0.9.tar.gz

# glSDL
wget http://olofson.net/download/glSDL-0.8.tar.gz
